Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.gl
Class GalicianStemmer

    java.lang.Object
      org.apache.lucene.analysis.pt.RSLPStemmerBase
          org.apache.lucene.analysis.gl.GalicianStemmer

    public class GalicianStemmer

extends RSLPStemmerBase

Galician stemmer implementing "Regras do lematizador para o galego".

See Also:
  `RSLPStemmerBase`, Description of rules

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase
`RSLPStemmerBase.Rule, RSLPStemmerBase.RuleWithSetExceptions, RSLPStemmerBase.RuleWithSuffixExceptions, RSLPStemmerBase.Step`

Constructor Summary
`GalicianStemmer()`

Method Summary
`int` | `stem(char[] s, int len)`

Methods inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GalicianStemmer

    public GalicianStemmer()

Method Detail

### stem

    public int stem(char[] s,
                    int len)

  Parameters:
    `s` - buffer, oversized to at least `len+1`
    `len` - initial valid length of buffer
  Returns:
    new valid length, stemmed

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.